<back to all web services

RetryTranslation

The following routes are available for this service:
POST/RestApi/translations/retry
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


class TranslationStatus(IntEnum):
    MARKED = 101
    SENDING = 201
    SENT = 202
    RECEIVED = 301
    IMPORTING = 302
    IMPORTED = 303
    COMPLETED = 304
    ARCHIVED = 401
    DELETED = 402
    REJECTED = 403
    SENDING_ERROR = 501
    IMPORTING_ERROR = 502
    RECEIVING_ERROR = 503


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class RetryTranslation:
    translation_status: Optional[TranslationStatus] = None
    ids: Optional[List[str]] = None
    changed_fields_only: bool = False

Python RetryTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/retry HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}